关闭

CocoaPods 的安装以及一些常见安装错误解决办法

标签: iosrubycocoapod
2824人阅读 评论(0) 收藏 举报


注:cocoa pods 已经更新了到1.1.1了,下面的方法不太,不会更新的朋友请看我的另一篇博客:http://blog.csdn.net/wyz670083956/article/details/53517136


以前的项目都没有用Cocoapods,引入第三方SDK时还要导入各种依赖库,经常出现各种问题。自从上一个项目使用了Cocoapods,导入第三方变得容易多了!!!

注:这里指针对正规苹果系统,因为它自带RubyGem环境,黑苹果貌似还要另外配置Ruby环境。

第一步:配置环境

打开终端,输入 (注意:一定 是 https 哦)

1.  gem sources  -- remove https://rubygems.org/  


待终端有反应有,输入  (因为中国的用户需要翻墙,所以我们用淘宝的镜像)

2. gem sources -a https://ruby.taobao.org/



继续在终端输入

3. sudo gem install cocoapods



(第3步就是创建cocoapods,如下图,你会发现有个钥匙的形状,这时候你需要在要是出输入你的电脑密码,值得提醒的是,输入密码时,终端上并不会出现你输入的字符,不要以为这是bug哦,待你完整正确的输入密码,按回车,然后稍等一会,有如下图100%的字样,就说明安装coocapods成功了)




注:有朋友完成第一步之后,误关了终端,然后问我会不会有事。。。没事的,不要担心,第一步完成安装cocoapods之后。你可以关掉终端,也可以不关,没有影响


第二步,使用cocoapods 

1.创建一个Xcode工程(chengNan),然后回到终端,在英文格式下,输入cd,然后空格,再然后把创建的工程拖入终端,这就代表着关联到了这个工程。。(如果你不选择拖入工程,也可以先对着工程右键,查看工程路径

/Users/mac/Desktop/chengNan,然后把路径复制到 cd 之后)



2.然后 touch Podfile (注意大写)



3.再然后 vim Podfile 此时整个终端处于不可编辑状态 




4.按键盘“i”键,终端第一行可编辑,开始输入内容 ( 这里我写平台 是 iOS 9.0 , 用第三方库Masonry坐演示)

platform:ios,'9.0'   

pod 'Masonry'



(注:貌似平台9.0必须写,而下面的第三方库的版本可写可不写,系统默认给你最新)


5.写完之后,按下esc键,然后按组合键shift+:,(此时,看终端最下面出现可编辑状态),输入wq,回车 (保存并退出文件)




6.此时你的工程里会出现一个白色的Podfile文件



7.紧接着在终端输入: pod install (这一步受网速影响,会运行得比较慢)

终端运行结束后,终端会出现类似下图画面,你的工程里会出现.xcworkspace 以及另外两个文件







第三步:使用 

1.安装好cocoapods之后,你每次写代码都打开chengNan.xcworkspace,从这里面写,千万不要从chengNan.xcodepro这里写,从这里写不会报错,但是毫无作用


2.之后想添加第三方库:可以在Podfile里写想要添加的库名,然后在终端输入pod update    值得一提的是,关掉工程或者关掉终端之后,想继续添加第三方库,需要先cd 文件路径(上面第2步),再进行pod update 操作




3.成功导入第三方库后,你在工程里需要导入第三方库的头文件才能使用第三方库。但是你会发现,无论你怎么打都打不出,因为你还需要进行一步操作配置,新增一个值"$(PODS_ROOT)",点击选择”recursive”,这样Xcode就会在项目目录中递归搜索文件且会自动找到Pods文件,头文件自动补齐功能马上就好使了.如下图;


做完这些步骤,你就可以按照往常一样使用第三方库了


cocoapods常见问题:

cocopods常见错误1


原因:找不到相应的第三方库,解决方法1:cd 拉入工程路径后,在终端 pod update   ,方法2:在Podfile文件里删掉这个第三方库,然后在重新倒入


cocopods常见错误2


原因,找不到第三方库 ;解决办法,cd 拉入工程路径后,在终端 pod update


cocopods常见错误3

cocoapods pod install 时出现的问题: 

  CocoaPods was not able to update the `master` repo. If this is an unexpected issue and persists you can inspect it running `pod repo update --verbose`


解决办法:

先删除全局的缓存:

  sudo rm -fr ~/Library/Caches/CocoaPods/

  sudo rm -fr ~/.cocoapods/repos/master/


还不行的话就把当前 Pods目录清空:

  sudo rm -fr Pods/(这一步第一次可以不做,如果处理不成功,第二在做)


再操作

  sudo gem install cocoapods

  pod setup 看看还有没有报错


然后再 pod update 





大写的注:

以上所写皆是个人经验总结,有不对的地方请指出,特别是cocopods常见错误处,如果你还有别的看法,请和我分享,谢谢!QQ:1296460793



0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:36263次
    • 积分:625
    • 等级:
    • 排名:千里之外
    • 原创:25篇
    • 转载:0篇
    • 译文:1篇
    • 评论:9条
    文章分类